import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useRef } from 'react';
import { useCommentStateContext } from '../contexts/CommentStateContext';
const CommentableContainer = ({ containerId, children, }) => {
    const containerRef = useRef(null);
    const { commentableContainers } = useCommentStateContext();
    useEffect(() => {
        commentableContainers.current[containerId] = containerRef;
        return () => {
            delete commentableContainers.current[containerId];
        };
    }, [containerId]);
    return (_jsx("div", { "data-container-id": containerId, ref: containerRef, children: children }));
};
export default CommentableContainer;
//# sourceMappingURL=CommentableContainer.js.map