import { jsx as _jsx } from "react/jsx-runtime";
// NewCommentPosition.tsx
import { useEffect } from 'react';
import { NEW_COMMENT_ID } from '../constants';
import { useCommentStateContext } from '../contexts/CommentStateContext';
import CommentPosition from './CommentPosition';
const NewCommentPosition = ({ newCommentSelection, children, }) => {
    const { dispatch } = useCommentStateContext();
    useEffect(() => {
        dispatch({
            type: 'ADD_TEXT_POSITION',
            payload: {
                id: NEW_COMMENT_ID,
                position: {
                    top: newCommentSelection.positionTop,
                },
            },
        });
        dispatch({
            type: 'SET_ACTIVE_COMMENT_ID',
            payload: NEW_COMMENT_ID,
        });
        window.dispatchEvent(new Event('comment-reposition-request'));
        return () => {
            dispatch({
                type: 'REMOVE_TEXT_POSITION',
                payload: NEW_COMMENT_ID,
            });
            dispatch({
                type: 'RESET_ACTIVE_COMMENT_ID',
                payload: NEW_COMMENT_ID,
            });
            window.dispatchEvent(new Event('comment-reposition-request'));
        };
    }, [dispatch, newCommentSelection.positionTop]);
    return (_jsx(CommentPosition, { commentId: NEW_COMMENT_ID, transition: false, children: children }));
};
export default NewCommentPosition;
//# sourceMappingURL=NewCommentPosition.js.map