import { ReactNode } from 'react';
import type { Comment, CommentPositionState, PositionedSelectionRange } from '../types';
export declare const SelectionProvider: ({ children, comments, }: {
    children: ReactNode;
    comments: Comment[];
}) => import("react/jsx-runtime").JSX.Element;
export declare const useSelectionContext: () => {
    commentableContainers: React.MutableRefObject<Partial<Record<string, React.RefObject<HTMLDivElement>>>>;
    positionedSelection: PositionedSelectionRange | undefined;
    setPositionedSelection: (positionedSelection: PositionedSelectionRange | undefined) => void;
    commentableSectionOffsetY: number;
    setCommentableSectionOffsetY: (offsetY: number) => void;
    commentsSectionOffsetY: number;
    setCommentsSectionOffsetY: (offsetY: number) => void;
    showNewCommentBox: boolean;
    setShowNewCommentBox: (show: boolean) => void;
    commentPositionState: CommentPositionState;
    setCommentPositionState: React.Dispatch<React.SetStateAction<CommentPositionState>>;
    activeCommentId: string | null;
    setActiveCommentId: (commentId: string | null) => void;
    newCommentSelection: PositionedSelectionRange | undefined;
    setNewCommentSelection: (selection: PositionedSelectionRange | undefined) => void;
    comments: Comment[];
};
