import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useCallback, useContext, useMemo, useRef, useState, } from 'react';
const SelectionContext = createContext(undefined);
export const SelectionProvider = ({ children, comments, }) => {
    const [commentableSectionOffsetY, setCommentableSectionOffsetY] = useState(0);
    const [commentsSectionOffsetY, setCommentsSectionOffsetY] = useState(0);
    const [showNewCommentBox, setShowNewCommentBox] = useState(false);
    const [positionedSelection, setPositionedSelection] = useState();
    const [commentPositionState, setCommentPositionState] = useState({
        positions: {},
        activeCommentId: null,
    });
    const [newCommentSelection, setNewCommentSelection] = useState();
    const commentableContainers = useRef({});
    const setActiveCommentId = useCallback((commentId) => {
        setCommentPositionState(prev => (Object.assign(Object.assign({}, prev), { activeCommentId: commentId })));
    }, [setCommentPositionState]);
    const value = useMemo(() => ({
        commentableContainers,
        positionedSelection,
        setPositionedSelection,
        commentableSectionOffsetY,
        setCommentableSectionOffsetY,
        commentsSectionOffsetY,
        setCommentsSectionOffsetY,
        showNewCommentBox,
        setShowNewCommentBox,
        commentPositionState,
        setCommentPositionState,
        setActiveCommentId,
        activeCommentId: commentPositionState.activeCommentId,
        newCommentSelection,
        setNewCommentSelection,
        comments,
    }), [
        commentableContainers,
        positionedSelection,
        setPositionedSelection,
        commentableSectionOffsetY,
        setCommentableSectionOffsetY,
        commentsSectionOffsetY,
        setCommentsSectionOffsetY,
        showNewCommentBox,
        setShowNewCommentBox,
        commentPositionState,
        setCommentPositionState,
        setActiveCommentId,
        newCommentSelection,
        setNewCommentSelection,
        comments,
    ]);
    return (_jsx(SelectionContext.Provider, { value: value, children: children }));
};
export const useSelectionContext = () => {
    const context = useContext(SelectionContext);
    if (context === undefined) {
        throw new Error('useSelectionContext must be used within a SelectionProvider');
    }
    return context;
};
//# sourceMappingURL=SelectionContext.js.map