import type { Comment } from '../types';
type CommentContextType<T extends Comment> = {
    comments: T[];
    setComments: React.Dispatch<React.SetStateAction<T[]>>;
    addComment: (comment: T) => void;
    deleteComment: (commentId: string) => void;
};
export type CommentContextReturn<T extends Comment> = {
    useCommentContext: () => CommentContextType<T>;
    CommentProvider: React.FC<{
        children: React.ReactNode;
        initialComments: T[];
    }>;
};
declare function createCommentContext<T extends Comment>(): CommentContextReturn<T>;
export { createCommentContext };
