import type { Comment } from '../types';
type CommentsContextType<T extends Comment> = {
    comments: T[];
    setComments: React.Dispatch<React.SetStateAction<T[]>>;
    addComment: (comment: T) => void;
    deleteComment: (commentId: string) => void;
};
export type CommentsContextReturn<T extends Comment> = {
    useCommentsContext: () => CommentsContextType<T>;
    CommentsProvider: React.FC<{
        children: React.ReactNode;
        initialComments: T[];
    }>;
};
declare function createCommentsContext<T extends Comment>(): CommentsContextReturn<T>;
export { createCommentsContext };
