const getScrollContainer = (element) => {
    if (!element)
        return document.documentElement;
    let parent = element.parentElement;
    while (parent) {
        const { overflow } = window.getComputedStyle(parent);
        if (overflow.includes('auto') || overflow.includes('scroll')) {
            return parent;
        }
        parent = parent.parentElement;
    }
    return document.documentElement;
};
export const getTotalScrollOffset = (element) => {
    let totalScroll = window.scrollY;
    const scrollContainer = getScrollContainer(element);
    if (scrollContainer !== document.documentElement) {
        totalScroll += scrollContainer.scrollTop;
    }
    return totalScroll;
};
//# sourceMappingURL=getScrollableParent.js.map